| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::NearestResampler< elemsize > Struct Template Reference
Core » Image

`#include <OgreImageResampler.h>`

## Static Public Member Functions
static void | scale (const PixelBox &src, const PixelBox &dst)

## Member Function Documentation

## ◆ scale()

template<unsigned int elemsize>

static void Ogre::NearestResampler< elemsize >::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) |  |
| inline static

References Ogre::Box::back, Ogre::Box::bottom, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::PixelBox::getTopLeftFrontPixelPtr(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::PixelBox::rowPitch, Ogre::PixelBox::slicePitch, and Ogre::Box::top.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h